extends Reference
class_name SummerDayToolContext


var edited_document: SummerDayDocument
var edited_scene: SummerDayScene
var canvas_state: SummerDayCanvasState
var position: Vector2


func _on_SummerDay_document_changed(new_document):
	edited_document = new_document
	pass


func _on_SummerDay_scene_changed(new_scene):
	edited_scene = new_scene

